package exe.model;

import junit.framework.TestCase;

public class ComponentTest extends TestCase {
	Component comp;
	Rack rack;
	
	protected void setUp() throws Exception {
		super.setUp();
		comp = new Component( "testComp", 100 );
		rack = new Rack( "testRack", 200 );
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}

	public final void testSetRack() {
		try
		{
			rack.addComponent( comp );
		}
		catch( CapacityExceeded e )
		{
			System.out.println( e.getMessage() );
		}
		
		assertEquals( comp, rack.getComponent(comp.getName()) );
	}

	public final void testGetRack() {
		// fail("Not yet implemented"); // TODO
	}

}
