package exe.model;

import junit.framework.TestCase;

public class RackTest extends TestCase {
	private Rack testrack;
	private Component comp1, comp2;
	
	protected void setUp() throws Exception {
		super.setUp();
		testrack = new Rack("test",100);
		comp1 = new Component("testcomp1", 20);
		comp2 = new Component("testcomp2", 20);
	}

	protected void tearDown() throws Exception {
		super.tearDown();
		testrack = null;
		comp1 = comp2 = null;
		System.gc();  
	}

	public final void testAddComponent() {
		try
		{
			testrack.addComponent(comp1);
		}
		catch( Exception e )
		{
			System.out.println( e.getMessage() );
		}
		
		assertEquals( testrack.getPowerReqSum(), 
				      comp1.getPowerReq()+ 10 );
		
	}

	public final void testRemoveComponent() {
		// fail("Not yet implemented"); // TODO
	}

}
